Debian Bug report logs - #640938
tijmp: FTBFS: configure: error: Does JAVA_HOME point to the java SDK directory?

version graph

Package: tijmp; Maintainer for tijmp is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>;

Reported by: Aurelien Jarno <aurel32@debian.org>

Date: Thu, 8 Sep 2011 16:21:02 UTC

Severity: serious

Found in version tijmp/0.8+dfsg-5

Fixed in version tijmp/0.8+dfsg-6

Done: Niels Thykier <niels@thykier.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#640938; Package tijmp. (Thu, 08 Sep 2011 16:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurel32@debian.org>:
New Bug report received and forwarded. Copy sent to Debian QA Group <packages@qa.debian.org>. (Thu, 08 Sep 2011 16:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tijmp: FTBFS: configure: error: Does JAVA_HOME point to the java SDK directory?
Date: Thu, 08 Sep 2011 18:16:32 +0200
Package: tijmp
Version: 0.8+dfsg-5
Severity: serious
Justification: fails to build from source (but built successfully in the past)

tijmp fails to build as it can't find the path to openjdk:

| checking dynamic linker characteristics... GNU/Linux ld.so
| checking how to hardcode library paths into programs... immediate
| checking whether stripping libraries is possible... yes
| checking if libtool supports shared libraries... yes
| checking whether to build shared libraries... yes
| checking whether to build static libraries... no
|
| checking /usr/lib/jvm/java-6-openjdk/include/linux/jni_md.h usability... no
| checking /usr/lib/jvm/java-6-openjdk/include/linux/jni_md.h presence... no
| checking for /usr/lib/jvm/java-6-openjdk/include/linux/jni_md.h... no
| checking /usr/lib/jvm/java-6-openjdk/include/jni_md.h usability... no
| checking /usr/lib/jvm/java-6-openjdk/include/jni_md.h presence... no
| checking for /usr/lib/jvm/java-6-openjdk/include/jni_md.h... no
| configure: error: Does JAVA_HOME point to the java SDK directory?
| make: *** [debian/stamp-autotools] Error 1

It sets JAVA_HOME to /usr/lib/jvm/java-6-openjdk, but this path has 
changed starting with openjdk-6 version 6b23~pre8-2.

Full build log is available (s390x, but also fails on other 
architectures):

     http://buildd.debian-ports.org/status/fetch.php?pkg=tijmp&arch=s390x&ver=0.8%2Bdfsg-5&stamp=1314740547

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Reply sent to Niels Thykier <niels@thykier.net>:
You have taken responsibility. (Sat, 05 Nov 2011 11:51:11 GMT) Full text and rfc822 format available.

Notification sent to Aurelien Jarno <aurel32@debian.org>:
Bug acknowledged by developer. (Sat, 05 Nov 2011 11:51:15 GMT) Full text and rfc822 format available.

Message #10 received at 640938-close@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 640938-close@bugs.debian.org
Subject: Bug#640938: fixed in tijmp 0.8+dfsg-6
Date: Sat, 05 Nov 2011 11:48:55 +0000
Source: tijmp
Source-Version: 0.8+dfsg-6

We believe that the bug you reported is fixed in the latest version of
tijmp, which is due to be installed in the Debian FTP archive:

tijmp_0.8+dfsg-6.debian.tar.gz
  to main/t/tijmp/tijmp_0.8+dfsg-6.debian.tar.gz
tijmp_0.8+dfsg-6.dsc
  to main/t/tijmp/tijmp_0.8+dfsg-6.dsc
tijmp_0.8+dfsg-6_amd64.deb
  to main/t/tijmp/tijmp_0.8+dfsg-6_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 640938@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niels Thykier <niels@thykier.net> (supplier of updated tijmp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 05 Nov 2011 12:28:24 +0100
Source: tijmp
Binary: tijmp
Architecture: source amd64
Version: 0.8+dfsg-6
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Niels Thykier <niels@thykier.net>
Description: 
 tijmp      - Profiler for Java to trace object and method timings
Closes: 640938
Changes: 
 tijmp (0.8+dfsg-6) unstable; urgency=low
 .
   * QA upload.
   * Corrected JAVA_HOME. (Closes: #640938)
   * Removed Vcs-* fields, they are no longer valid.
   * Bumped Standards-Version to 3.9.2 - no changes required.
Checksums-Sha1: 
 0b19d02ddfc0c0a07073369d7ebd826e4374b971 1725 tijmp_0.8+dfsg-6.dsc
 8fd3e00a455f5ff1faa63cfbff13d0b4f9601759 4104 tijmp_0.8+dfsg-6.debian.tar.gz
 3351a8041ee0b5e0e6864742aebf520f17e3d6e6 116800 tijmp_0.8+dfsg-6_amd64.deb
Checksums-Sha256: 
 54c209c7deab9d4ef5c72adfc3081ee18e5fbc39b2149180134e1c40db46f56e 1725 tijmp_0.8+dfsg-6.dsc
 8166879d26e2af6b186a903efb8951c0c8d1c5e36a2f34f739a1359e63c0a2dc 4104 tijmp_0.8+dfsg-6.debian.tar.gz
 f5f5271d8cedbb9317604d37e4ef407137e52afe58610c3e2faafd4898a53526 116800 tijmp_0.8+dfsg-6_amd64.deb
Files: 
 b0bcb09eeff2fa700382f7f9c114479f 1725 devel extra tijmp_0.8+dfsg-6.dsc
 d3cb500908dbcb822913e0c4a6275f76 4104 devel extra tijmp_0.8+dfsg-6.debian.tar.gz
 53ae6e1558f84de1ee512e8b5d1a4d0f 116800 devel extra tijmp_0.8+dfsg-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOtR4qAAoJEAVLu599gGRCqawP/iyUrXGJUWmqKKRbXKXSfkNZ
2h6UXKYMo5Ai2PdanykiSkyclpJ6K/z/+i/B0qxucv+Pto9Bol6A6Y5047GPdlO+
aMk1079Ru8aHbxUJToSa07HfO18GCgG8AhTrs7Uaa64pLWMgd6jB96+w/hj5bxFp
Mm6+0N7v/RM6VU5E0ft/MrfCtL1tZMEgIaQHkhnhwFQzSimyFiFiinAH7rQI0sc6
e53jjFS4rlM6v9j+zrlgtfs3rBJ8u2nA1XVcNQowHXN79Bnv9n6rX1aSKlwEz39j
8OrSmhM5ekv2N/GYGN5nzhYpDQVtrPJpjDvi3LptVK/sbxszdtvCSEQpR9au3EWe
CKpdFNvq6ktcv2ipOTPg/33Q+AU+xsDLjsIBypzso/qemyz0E6O7pjech/wrAkA+
G7MxYaR93AoW8DcbPY2gQSg/meiDzGk5GkUdLv9KoPJL5WVBvMPjKPk3t16HFkwf
V/inRMNbL4tFznQMPod2/8QSD3fbAomJaCyzIrPGAe2D4H8sUoPBk6qTvWsPO76a
D+PB+jlHV0YN4Kg4rfYBxcJE3Er6YY1U1ZpGkqYVvvBXqmwVnB0Msofqqb+K/3UH
Y+Ku5Pa9AH6sWAOH25heygOQF+1YyZFeSm///ZgEkFcmrM4qfFogTergm4BT2SzO
jeLEdLV+fn92EuAxgYzP
=fEt2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 06 Dec 2011 07:35:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:04:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.